<?
@session_start();
require_once('../connect/connect.php');
include_once('../lib/lib.php');

$bp="../";
if($_GET['bp'])
$bp=$_GET['bp'];

if($_POST['sub'])
	{
	$cap_a = trim($_POST['cap']);
	if(!$cap_a)
	$err .= 'Не указан защитный код<br>';
	else
		{
		if($_SESSION['real_code'] != $cap_a)
		$err .= 'Неверно указан защитный код<br>';
		else
			{
			$cap_a = number_format($cap_a,0,"",",");
			$cap_b = $_POST['ip_address'];
			if($cap_a!=$cap_b) $err .= 'Неверно указан защитный код<br>';
			}
		}
	if(isset($_SESSION['real_code'])) unset($_SESSION['real_code']);
	
	
	
	if(!empty($_POST['email']))
		{
		$email=anti(trim($_POST['email']));
		$r=mysql_query("SELECT * FROM akk WHERE email='".$email."'");
		$nr=mysql_num_rows($r);
		if($nr)
			{
			$rr=mysql_fetch_array($r);
			}
		else $err .= 'Пользователя с таким e-mail нет в базе<br>';
		}
	else $err .= 'Не указан e-mail<br>';

	if(!$err)
		{
		$headers="Content-type: text/html;charset=UTF-8 \r\n";
		$headers .= "From: ".$rru['email']." <".$rru['email'].">\r\n"; 
		$thm="Восстановление пароля";
		$c='Добрый день!<br>
		Вы, или кто-то от Вашего имени запросил данные на восстановление забытого пароля к Вашему аккаунту
		<br>
		Ваш пароль: '.$rr['pass'].'
		<br>
		С уважением, 
		администрация сайта '.$_SERVER['HTTP_HOST'];

		if (@mail_utf8($email, $thm, $c, $rru['email'])) 
		$ot = '<p><font color=green>Письмо с паролем отправлено на Ваш почтовый ящик</font></p>';
		else 
		$err = 'Не удалось отправить письмо на указанный e-mail<br>Попробуйте еще раз';
		}
	}

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Восстановление забытого пароля</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="robots" content="nofollow" />
<link rel="stylesheet" href="../style/style.css" type="text/css">
<script type="text/javascript" charset="utf-8" src="../js/jquery-1.4.4.min.js"></script>
</head>

<body>
<table width=100%>
	<tr height=64>
		<td width=64>
		<img border=0 src="../icon/8.gif">
		<td align=center><h3>Восстановление забытого пароля</h3>
	<tr>
	<td colspan=2>

<?
if($err) echo "<p><font color=red>".$err."</font></p>";
if(!$ot)
	{
	?>
	<form method="post" action="">
	<table>
		<tr>
			<td width="250" align="right">
			<font size=+1 color=red>*</font>
			E-mail, указанный при регистрации
			<td>
			<input type="text" name="email" value="<?=$email?>">
		<tr>
			<td colspan=2>
			  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			    <? 
			//$font_name[] = array(18, "../blok/new1.ttf"); 
			$font_name[] = array(18, "../blok/new2.ttf"); 
			//$font_name[] = array(20, "../blok/new3.ttf"); 
			//$font_name[] = array(22, "../blok/new4.ttf"); 
			shuffle($font_name);
	
			$m_rand1=1005;
			$m_rand2=9991;
			$cap_img='../tmp_capcha/'.ip2long($_SERVER['REMOTE_ADDR']).'.jpg';
			@mt_srand(time());
			
			$cap_int=mt_rand($m_rand1,$m_rand2);
			$_SESSION['real_code']=$cap_int;
			if($typ_captcha && function_exists('cifr'))
			cifr($cap_int, $cap_img);
			else
				{
				$cap_str=code($cap_int);
				$im=imagecreate(470, 26);
				imagecolorallocate($im,255,255,255);
				$color=imagecolorallocate($im,100,100,100);
				@imagettftext($im, $font_name[0][0], 0, 0, 19, $color, $font_name[0][1], $cap_str);
				imagejpeg($im, $cap_img);
				imagedestroy($im);
				}
			
			echo '<img align="right" border="0" src="'.$cap_img.'?id='.time().'"><br>';
			?>
		<tr>
			<td align="right">
			<font size=+1 color=red>*</font> Введите защитный код цифрами
			<td>
			<input type="text" name="cap" id="cap" value="">
			<input type="hidden" name="ip_address" id="ip_address" value="<?=$_SERVER['REMOTE_ADDR']?>">
		<tr>
			<td  align="right">
			<input class="submit" type="submit" name="sub" value="Отправить">
			<td>
	</table>
	</form>
	<?
	}
else echo $ot;
?>
</table>
<script type="text/javascript" charset="utf-8" src="../js/tb.js"></script>

</body>
</html>
